xphoon(6)

NAME
xphoon - displays the PHase of the mOON on the root window

SYNOPSIS
xphoon [-b] [-t interval [-i]] [-s] [-display name]

DESCRIPTION

Xphoon sets the X root window to a picture of the moon in its current phase, including the partial lighting of the dark side by reflected earthlight.

OPTIONS

-b  Defeats the earthlight feature, forcing the dark side to be black.

-t  Have xphoon keep running and update the picture every interval minutes. (Normally, xphoon just sets the root picture and exits.)

-i  Forks a background process and prints the process-id to stdout. Useful if you want to make menu commands to refresh or kill xphoon.

-s  Rotate the whole picture 180 degrees, resulting in a moon picture as viewed fom the Southern hemisphere.

-demo
    Demonstrate xphoon by rapidly stepping through moon phases.

NOTES
The original motivation for this program was that xsetroot was too slow. Loading a full-screen bitmap took about 15 seconds. We made a trivial program that had fullmoon.bitmap compiled in, and it ran in less than a second. (And incidentally, the executable was smaller than fullmoon.xbm.) Then later we came up with the phase hacking, the earthlight, and the auto-scaling.

SEE ALSO
phoon(1), xsetroot(1)

AUTHORS
Copyright (C) 1988, 1991 by Jef Poskanzer and Craig Leres.

The moon-phase computation is from "moontool.c" by John Walker.